Skip to main content
Server path: /asana-users-teams | Type: Application | PCID required: Yes

Tools

ToolDescription
asana_users_teams_add_user_for_teamAdd a user to a team
asana_users_teams_add_user_for_workspaceAdd a user to a workspace or organization
asana_users_teams_create_membershipCreate a membership
asana_users_teams_create_teamCreate a team
asana_users_teams_delete_membershipDelete a membership
asana_users_teams_get_favorites_for_userGet a user’s favorites
asana_users_teams_get_for_teamGet users in a team
asana_users_teams_get_for_userGet teams for a user
asana_users_teams_get_for_workspaceGet users in a workspace or organization
asana_users_teams_get_for_workspaceGet teams in a workspace
asana_users_teams_get_membershipGet a membership
asana_users_teams_get_membershipsGet multiple memberships
asana_users_teams_get_teamGet a team
asana_users_teams_get_team_membershipGet a team membership
asana_users_teams_get_team_membershipsGet team memberships
asana_users_teams_get_team_memberships_for_teamGet memberships from a team
asana_users_teams_get_team_memberships_for_userGet memberships from a user
asana_users_teams_get_userGet a user
asana_users_teams_get_user_for_workspaceGet a user in a workspace or organization
asana_users_teams_get_user_task_listGet a user task list
asana_users_teams_get_user_task_list_for_userGet a user’s task list
asana_users_teams_get_usersGet multiple users
asana_users_teams_get_workspaceGet a workspace
asana_users_teams_get_workspace_eventsGet workspace events
asana_users_teams_get_workspace_membershipGet a workspace membership
asana_users_teams_get_workspace_memberships_for_userGet workspace memberships for a user
asana_users_teams_get_workspace_memberships_for_workspaceGet the workspace memberships for a workspace
asana_users_teams_get_workspace_teamsGet teams in a workspace
asana_users_teams_get_workspace_usersGet users in a workspace or organization
asana_users_teams_get_workspacesGet multiple workspaces
asana_users_teams_remove_user_for_teamRemove a user from a team
asana_users_teams_remove_user_for_workspaceRemove a user from a workspace or organization
asana_users_teams_typeahead_for_workspaceGet objects via typeahead
asana_users_teams_update_membershipUpdate a membership
asana_users_teams_update_teamUpdate a team
asana_users_teams_update_userUpdate a user
asana_users_teams_update_user_for_workspaceUpdate a user in a workspace or organization
asana_users_teams_update_workspaceUpdate a workspace

asana_users_teams_add_user_for_team

Add a user to a team Parameters:
ParameterTypeRequiredDefaultDescription
team_gidstringYesGlobally unique identifier for the team.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.
dataobjectNoA user identification object for specification with the addUser/removeUser endpoints.

asana_users_teams_add_user_for_workspace

Add a user to a workspace or organization Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.
dataobjectNoA user identification object for specification with the addUser/removeUser endpoints.

asana_users_teams_create_membership

Create a membership Parameters:
ParameterTypeRequiredDefaultDescription
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
dataobjectNoThe data value

asana_users_teams_create_team

Create a team Parameters:
ParameterTypeRequiredDefaultDescription
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.
dataobjectNoThe data value

asana_users_teams_delete_membership

Delete a membership Parameters:
ParameterTypeRequiredDefaultDescription
membership_gidstringYesGlobally unique identifier for the membership.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.

asana_users_teams_get_favorites_for_user

Get a user’s favorites Parameters:
ParameterTypeRequiredDefaultDescription
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
resource_typestringYesThe resource type of favorites to be returned.
workspacestringYesThe workspace in which to get favorites.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_for_team

Get users in a team Parameters:
ParameterTypeRequiredDefaultDescription
team_gidstringYesGlobally unique identifier for the team.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_for_user

Get teams for a user Parameters:
ParameterTypeRequiredDefaultDescription
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
organizationstringYesThe workspace or organization to filter teams on.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_for_workspace

Get users in a workspace or organization Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsany[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_for_workspace

Get teams in a workspace Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsany[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_membership

Get a membership Parameters:
ParameterTypeRequiredDefaultDescription
membership_gidstringYesGlobally unique identifier for the membership.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.

asana_users_teams_get_memberships

Get multiple memberships Parameters:
ParameterTypeRequiredDefaultDescription
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
parentstringNoGlobally unique identifier for goal, project, portfolio, custom_type, or custom_field. This parameter is optional when resource_subtype is provided along with member.
memberstringNoGlobally unique identifier for team or user. When used with resource_subtype and without parent, returns all memberships of the specified subtype for this member.
resource_subtypestringNoThe type of membership to return. Required when parent is absent. Currently supported value is project_membership (when member is a team GID, returns all project memberships for that team).
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_team

Get a team Parameters:
ParameterTypeRequiredDefaultDescription
team_gidstringYesGlobally unique identifier for the team.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_team_membership

Get a team membership Parameters:
ParameterTypeRequiredDefaultDescription
team_membership_gidstringYesTeam Membership Gid
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_team_memberships

Get team memberships Parameters:
ParameterTypeRequiredDefaultDescription
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
teamstringNoGlobally unique identifier for the team.
userstringNoA string identifying a user. This can either be the string “me”, an email, or the gid of a user. This parameter must be used with the workspace parameter.
workspacestringNoGlobally unique identifier for the workspace. This parameter must be used with the user parameter.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_team_memberships_for_team

Get memberships from a team Parameters:
ParameterTypeRequiredDefaultDescription
team_gidstringYesGlobally unique identifier for the team.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_team_memberships_for_user

Get memberships from a user Parameters:
ParameterTypeRequiredDefaultDescription
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
workspacestringYesGlobally unique identifier for the workspace.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_user

Get a user Parameters:
ParameterTypeRequiredDefaultDescription
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
workspacestringNoThe workspace to filter results on.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_user_for_workspace

Get a user in a workspace or organization Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_user_task_list

Get a user task list Parameters:
ParameterTypeRequiredDefaultDescription
user_task_list_gidstringYesGlobally unique identifier for the user task list.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_user_task_list_for_user

Get a user’s task list Parameters:
ParameterTypeRequiredDefaultDescription
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
workspacestringYesThe workspace in which to get the user task list.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_users

Get multiple users Parameters:
ParameterTypeRequiredDefaultDescription
workspacestringNoThe workspace or organization ID to filter users on.
teamstringNoThe team ID to filter users on.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_workspace

Get a workspace Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_workspace_events

Get workspace events Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
syncstringNoA sync token received from the last request, or none on first sync. Events will be returned from the point in time that the sync token was generated. Note: On your first request, omit the sync token. The response will be the same as for an expired sync token, and will include a new valid sync token. If the sync token is too old (which may happen from time to time) the API will return a 412 Precondition Failed error, and include a fresh sync token in the response.

asana_users_teams_get_workspace_membership

Get a workspace membership Parameters:
ParameterTypeRequiredDefaultDescription
workspace_membership_gidstringYesWorkspace Membership Gid
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_workspace_memberships_for_user

Get workspace memberships for a user Parameters:
ParameterTypeRequiredDefaultDescription
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_workspace_memberships_for_workspace

Get the workspace memberships for a workspace Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
userstringNoA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_workspace_teams

Get teams in a workspace Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_workspace_users

Get users in a workspace or organization Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_get_workspaces

Get multiple workspaces Parameters:
ParameterTypeRequiredDefaultDescription
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
limitintegerNoResults per page. The number of objects to return per page. The value must be between 1 and 100.
offsetstringNoOffset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. Note: You can only pass in an offset that was returned to you via a previously paginated request.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_remove_user_for_team

Remove a user from a team Parameters:
ParameterTypeRequiredDefaultDescription
team_gidstringYesGlobally unique identifier for the team.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
dataobjectNoA user identification object for specification with the addUser/removeUser endpoints.

asana_users_teams_remove_user_for_workspace

Remove a user from a workspace or organization Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
dataobjectNoA user identification object for specification with the addUser/removeUser endpoints.

asana_users_teams_typeahead_for_workspace

Get objects via typeahead Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
resource_typestringYesThe type of values the typeahead should return. You can choose from one of the following: custom_field, goal, project, project_template, portfolio, tag, task, team, and user. Note that unlike in the names of endpoints, the types listed here are in singular form (e.g. task). Using multiple types is not yet supported.
typestringNoDeprecated: new integrations should prefer the resource_type field.
querystringNoThe string that will be used to search for relevant objects. If an empty string is passed in, the API will return results.
countintegerNoThe number of results to return. The default is 20 if this parameter is omitted, with a minimum of 1 and a maximum of 100. If there are fewer results found than requested, all will be returned.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.

asana_users_teams_update_membership

Update a membership Parameters:
ParameterTypeRequiredDefaultDescription
membership_gidstringYesGlobally unique identifier for the membership.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
dataobjectNoThe data value

asana_users_teams_update_team

Update a team Parameters:
ParameterTypeRequiredDefaultDescription
team_gidstringYesGlobally unique identifier for the team.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.
dataobjectNoThe data value

asana_users_teams_update_user

Update a user Parameters:
ParameterTypeRequiredDefaultDescription
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
workspacestringNoThe workspace to filter results on.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.
dataobjectNoThe data value

asana_users_teams_update_user_for_workspace

Update a user in a workspace or organization Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
user_gidstringYesA string identifying a user. This can either be the string “me”, an email, or the gid of a user.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.
dataobjectNoThe data value

asana_users_teams_update_workspace

Update a workspace Parameters:
ParameterTypeRequiredDefaultDescription
workspace_gidstringYesGlobally unique identifier for the workspace or organization.
opt_prettybooleanNoProvides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.
opt_fieldsstring[]NoThis endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.
dataobjectNoA workspace is the highest-level organizational unit in Asana. All projects and tasks have an associated workspace.